/* Define the color pallet for the style sheet */
:root {
  /* default color palette */
  --primary-color: #2a4365; /* 60%, backgrounds, bulk color */
  --secondary-color: #263d36; /* 30%, structure and contrast */
  --accent-color: #faa916; /* 10%, links, buttons, interactives */
  --text1: #f3eff5; /* primary text color */
  --text2: #f7f2ef; /* secondary text color */
}

body {
    font-family: "Helvetica", "Arial", sans-serif;
    font-size: 1rem;
    margin: 0 auto;
    max-width: 40em;
    line-height: 1.5;
    padding: 1em 1em;
    color: var(--text1);
    background-color: var(--primary-color);
    /* background-image: url("/resources/pattern-tile.png");
    background-repeat: repeat;
    background-size: auto; */
}

.post-content {
  background-color: var(--primary-color);
  padding: 1em 1em;
}

h2 { /* titles of posts and articles */
  text-align: center;
}

h2,
h3,
h4,
strong {
    color: var(--text2);
}

a {
    color: var(--accent-color);
}

.myposts ul { /* Used for listing posts and projects */
  list-style-type: none;
}

/* Set the default image size for all content */
.post-content img {
    max-width: 75%;  /* Limit the image width to the container’s width */
    height: auto; /* Adjust height automatically to maintain aspect ratio */
    max-height: 500px;
    display: block;    /* Remove any inline spacing issues */
    margin: 0 auto;
}

/* Start of the primary website header */
header {
    background-color: var(--secondary-color);
    background-position: center top;
    background-repeat: no-repeat;
    background-size: cover;
    line-height: 1;
    padding: 0.15em 0.25em;
    text-align: center;
}

header h1 {
    color: var(--text1);
    font-size: 2.5em;
    font-weight: 300;
    margin-top: 0.5em;
    margin-bottom: 0;
}


/* .profile-pic makes the pic in the header circular*/
.profile-pic {
  width: 50px; /* set the size of the container */
  height: 50px;
  border-radius: 50%; /* Make the image round */
  overflow: hidden;
  object-fit: cover;
  object-position: 0% 50%;
  vertical-align: middle; /* lower the image so it centers with text */
}
/*End of primary website header */

/* Start of Navigation Links */
nav ul {
  font-size: 1.1rem;
  display: flex;
  justify-content: center;
  max-width: 80ch;
  list-style: none;
  padding: 0;
  margin: 0 auto;
  margin-top: 0;
  padding-top: 0;
  background-color: var(--secondary-color);
}

nav li {
  flex: 1;
  display: flex;
}

nav li a {
  display: block;
  width: 100%;
  text-align: center;
  padding: 0.6em 0;
}
/* End of Navigation Links */

/* formats for forms. Currently only used for the finance calculator */
.form-section {
  margin-bottom: 5px;
  padding: 15px;
  background-color: var(--secondary-color);
  border-radius: 5px;
}
.form-section h3 {
  margin-top: 0;
  color: var(--text2);
}
label {
  display: block;
  margin-top: 10px;
  margin-bottom: 5px;
  font-weight: bold;
}
input[type="number"], input[type="range"] {
  padding: 8px;
  border: 1px solid var(--text1);
  border-radius: 4px;
  font-size: 14px;
}
input[type="number"] {
  width: 200px;
}
input[type="range"] {
  -webkit-appearance: none;
  width: 100%;
  background: var(--accent-color);
}
.slider-display {
  display: flex;
  gap: 20px;
  margin-top: 10px;
  font-weight: bold;
}
.slider-display div {
  flex: 1;
}
#results {
  margin-top: 30px;
}
/*End of forms styling */

/* footer formats */
footer {
    text-align: left;
    padding: 1em;
    border-top: 2px solid var(--text1);
    /* padding-top: 20px; /* Space between line and content inside footer */
    /* or */
    background-color: var(--primary-color);
}

footer a {
  color: var(--text1);
}
/* End of footer formats */
